import java.io.*;

/**
 *  Programa ArchivoSueldos
 *
 *  Se trata de un programa que escribe objetos de la clase
 *  Sueldo en un fichero de salida denominado
 *  'sueldosMes.datos'
 *
 */

class ArchivoSueldos
{
   public static void main (String[] args) throws IOException
   {
      //declarar y crear los flujos
      File               ficheroSalida      = new File( "sueldosMes.datos" );
      FileOutputStream   flujoSalidaFichero = new FileOutputStream( ficheroSalida );
      ObjectOutputStream flujoSalidaObjeto  = new ObjectOutputStream( flujoSalidaFichero );

      //declarar un objeto de la clase Sueldo
      Sueldo objetoSueldo;

      //crear el objeto de la clase Sueldo,
      //almacenando la informacin
      //primero en el objeto y
      //luego en el flujo
	  objetoSueldo = new Sueldo(1, 1000.50f);
      flujoSalidaObjeto.writeObject (objetoSueldo);

      //repetir las dos sentencias anteriores para
      //todas las categoras de la empresa
      objetoSueldo = new Sueldo(2, 1200.35f);
      flujoSalidaObjeto.writeObject (objetoSueldo);
	  objetoSueldo = new Sueldo(3, 1350.25f);
      flujoSalidaObjeto.writeObject (objetoSueldo);
      objetoSueldo = new Sueldo(4, 1400f);
      flujoSalidaObjeto.writeObject (objetoSueldo);
	  objetoSueldo = new Sueldo(5, 1500.75f);
      flujoSalidaObjeto.writeObject (objetoSueldo);
      objetoSueldo = new Sueldo(6, 1600f);
      flujoSalidaObjeto.writeObject (objetoSueldo);
	  objetoSueldo = new Sueldo(7, 2000.50f);
      flujoSalidaObjeto.writeObject (objetoSueldo);


      //cerrar el flujo
      flujoSalidaObjeto.close();

      System.out.println("Fin - comprobar el fichero * sueldoMes.datos *");
   }
}
